阅读背景:

GAE无法生成发现文件

来源:互联网 

I upgraded my GAE SDK to Version 1.8.5 and cannot generate a discovery file anymore with endpointscfg.py gen_discovery_doc -o.-f rpc .../main.FlyFlap.APi

我将GAE SDK升级到版本1.8.5并且无法使用endpointscfg.py生成发现文件gen_discovery_doc -o.-f rpc ... / main.FlyFlap.APi

I get the errors below.

我得到以下错误。

I tried to delete the file google_appengine/lib/cacerts/urlfetch_cacerts.txt and certs.txt like it is suggested here, but it didn't help. Does someone got same problems?

我试图删除文件google_appengine / lib / cacerts / urlfetch_cacerts.txt和certs.txt,就像这里建议的那样,但它没有帮助。有人有同样的问题吗?

Traceback (most recent call last):
  File "/usr/local/bin/endpointscfg.py", line 196, in <module>
    run_file(__file__, globals())
  File "/usr/local/bin/endpointscfg.py", line 192, in run_file
    execfile(script_path, globals_)
  File "/Applications/GoogleAppEngineLauncher.app/Contents/Resources/GoogleAppEngine-default.bundle/Contents/Resources/google_appengine/google/appengine/tools/endpointscfg.py", line 472, in <module>
    sys.exit(main(sys.argv))
  File "/Applications/GoogleAppEngineLauncher.app/Contents/Resources/GoogleAppEngine-default.bundle/Contents/Resources/google_appengine/google/appengine/tools/endpointscfg.py", line 467, in main
    args.callback(args)
  File "/Applications/GoogleAppEngineLauncher.app/Contents/Resources/GoogleAppEngine-default.bundle/Contents/Resources/google_appengine/google/appengine/tools/endpointscfg.py", line 348, in _GenDiscoveryDocCallback
    output_path, hostname=hostname)
  File "/Applications/GoogleAppEngineLauncher.app/Contents/Resources/GoogleAppEngine-default.bundle/Contents/Resources/google_appengine/google/appengine/tools/endpointscfg.py", line 188, in GenDiscoveryDoc
    service_configs = GenApiConfig(service_class_names, hostname=hostname)
  File "/Applications/GoogleAppEngineLauncher.app/Contents/Resources/GoogleAppEngine-default.bundle/Contents/Resources/google_appengine/google/appengine/tools/endpointscfg.py", line 144, in GenApiConfig
    module_name, base_service_class_name = service_class_name.rsplit('.', 1)
ValueError: need more than 1 value to unpack

1 个解决方案

#1


0  

updated osx and it works again.

更新了osx并再次运行。


分享到: